unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH 1/2] build: fix out-of-tree builds, again
@ 2017-09-10 11:56 Jani Nikula
  2017-09-10 11:56 ` [PATCH 2/2] devel: add script to test out-of-tree builds Jani Nikula
  2017-09-13 12:07 ` [PATCH 1/2] build: fix out-of-tree builds, again David Bremner
  0 siblings, 2 replies; 7+ messages in thread
From: Jani Nikula @ 2017-09-10 11:56 UTC (permalink / raw)
  To: notmuch

Broken, again, by yours truly in bc11759dd1fd ("build: switch to
hiding libnotmuch symbols by default"). Reference notmuch.sym via
$(srctree).
---
 lib/Makefile.local | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/Makefile.local b/lib/Makefile.local
index 93b08d150067..8aa03891d775 100644
--- a/lib/Makefile.local
+++ b/lib/Makefile.local
@@ -19,7 +19,7 @@ LIBRARY_SUFFIX = so
 LINKER_NAME = libnotmuch.$(LIBRARY_SUFFIX)
 SONAME = $(LINKER_NAME).$(LIBNOTMUCH_VERSION_MAJOR)
 LIBNAME = $(SONAME).$(LIBNOTMUCH_VERSION_MINOR).$(LIBNOTMUCH_VERSION_RELEASE)
-LIBRARY_LINK_FLAG = -shared -Wl,--version-script=$(lib)/notmuch.sym,-soname=$(SONAME) $(NO_UNDEFINED_LDFLAGS)
+LIBRARY_LINK_FLAG = -shared -Wl,--version-script=$(srcdir)/$(lib)/notmuch.sym,-soname=$(SONAME) $(NO_UNDEFINED_LDFLAGS)
 ifeq ($(PLATFORM),OPENBSD)
 LIBRARY_LINK_FLAG += -lc
 endif
-- 
2.11.0

^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [PATCH 2/2] devel: add script to test out-of-tree builds
  2017-09-10 11:56 [PATCH 1/2] build: fix out-of-tree builds, again Jani Nikula
@ 2017-09-10 11:56 ` Jani Nikula
  2017-09-11 16:05   ` Tomi Ollila
  2017-09-11 17:17   ` [PATCH v2] " Jani Nikula
  2017-09-13 12:07 ` [PATCH 1/2] build: fix out-of-tree builds, again David Bremner
  1 sibling, 2 replies; 7+ messages in thread
From: Jani Nikula @ 2017-09-10 11:56 UTC (permalink / raw)
  To: notmuch

Something I used for 'git bisect run', but we should really add this
as part of our process.
---
 devel/out-of-tree-build-check.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 devel/out-of-tree-build-check.sh

diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
new file mode 100755
index 000000000000..cf938ed20f26
--- /dev/null
+++ b/devel/out-of-tree-build-check.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# test out-of-tree builds in a temp directory
+# passes all args to make
+
+set -e
+
+srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
+builddir=$(mktemp -d)
+
+cd $builddir
+
+$srcdir/configure
+make "$@"
+
+cd $notmuch_dir
+rm -rf $builddir
-- 
2.11.0

^ permalink raw reply related	[flat|nested] 7+ messages in thread

* Re: [PATCH 2/2] devel: add script to test out-of-tree builds
  2017-09-10 11:56 ` [PATCH 2/2] devel: add script to test out-of-tree builds Jani Nikula
@ 2017-09-11 16:05   ` Tomi Ollila
  2017-09-11 17:18     ` Jani Nikula
  2017-09-11 17:17   ` [PATCH v2] " Jani Nikula
  1 sibling, 1 reply; 7+ messages in thread
From: Tomi Ollila @ 2017-09-11 16:05 UTC (permalink / raw)
  To: Jani Nikula, notmuch

On Sun, Sep 10 2017, Jani Nikula wrote:

> Something I used for 'git bisect run', but we should really add this
> as part of our process.

Thanks for an excellent example why ``set -u`` should be included in
*every* shell script. >;D

Tomi

Sent from N9

> ---
>  devel/out-of-tree-build-check.sh | 16 ++++++++++++++++
>  1 file changed, 16 insertions(+)
>  create mode 100755 devel/out-of-tree-build-check.sh
>
> diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
> new file mode 100755
> index 000000000000..cf938ed20f26
> --- /dev/null
> +++ b/devel/out-of-tree-build-check.sh
> @@ -0,0 +1,16 @@
> +#!/bin/sh
> +# test out-of-tree builds in a temp directory
> +# passes all args to make
> +
> +set -e
> +
> +srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
> +builddir=$(mktemp -d)
> +
> +cd $builddir
> +
> +$srcdir/configure
> +make "$@"
> +
> +cd $notmuch_dir
> +rm -rf $builddir
> -- 
> 2.11.0
>
> _______________________________________________
> notmuch mailing list
> notmuch@notmuchmail.org
> https://notmuchmail.org/mailman/listinfo/notmuch

^ permalink raw reply	[flat|nested] 7+ messages in thread

* [PATCH v2] devel: add script to test out-of-tree builds
  2017-09-10 11:56 ` [PATCH 2/2] devel: add script to test out-of-tree builds Jani Nikula
  2017-09-11 16:05   ` Tomi Ollila
@ 2017-09-11 17:17   ` Jani Nikula
  2017-10-02 11:04     ` David Bremner
  1 sibling, 1 reply; 7+ messages in thread
From: Jani Nikula @ 2017-09-11 17:17 UTC (permalink / raw)
  To: Jani Nikula, notmuch

Something I used for 'git bisect run', but we should really add this
as part of our process.

---

v2: add set -u, and remove the useless cd.
---
 devel/out-of-tree-build-check.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 devel/out-of-tree-build-check.sh

diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
new file mode 100755
index 000000000000..984b4b5f65f5
--- /dev/null
+++ b/devel/out-of-tree-build-check.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# test out-of-tree builds in a temp directory
+# passes all args to make
+
+set -eu
+
+srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
+builddir=$(mktemp -d)
+
+cd $builddir
+
+$srcdir/configure
+make "$@"
+
+rm -rf $builddir
-- 
2.11.0

^ permalink raw reply related	[flat|nested] 7+ messages in thread

* Re: [PATCH 2/2] devel: add script to test out-of-tree builds
  2017-09-11 16:05   ` Tomi Ollila
@ 2017-09-11 17:18     ` Jani Nikula
  0 siblings, 0 replies; 7+ messages in thread
From: Jani Nikula @ 2017-09-11 17:18 UTC (permalink / raw)
  To: Tomi Ollila, notmuch

On Mon, 11 Sep 2017, Tomi Ollila <tomi.ollila@iki.fi> wrote:
> On Sun, Sep 10 2017, Jani Nikula wrote:
> Thanks for an excellent example why ``set -u`` should be included in
> *every* shell script. >;D

https://upload.wikimedia.org/wikipedia/commons/3/3b/Paris_Tuileries_Garden_Facepalm_statue.jpg

Fix sent.

Thanks,
Jani.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH 1/2] build: fix out-of-tree builds, again
  2017-09-10 11:56 [PATCH 1/2] build: fix out-of-tree builds, again Jani Nikula
  2017-09-10 11:56 ` [PATCH 2/2] devel: add script to test out-of-tree builds Jani Nikula
@ 2017-09-13 12:07 ` David Bremner
  1 sibling, 0 replies; 7+ messages in thread
From: David Bremner @ 2017-09-13 12:07 UTC (permalink / raw)
  To: Jani Nikula, notmuch

Jani Nikula <jani@nikula.org> writes:

> Broken, again, by yours truly in bc11759dd1fd ("build: switch to
> hiding libnotmuch symbols by default"). Reference notmuch.sym via
> $(srctree).

pushed this first patch to master

d

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH v2] devel: add script to test out-of-tree builds
  2017-09-11 17:17   ` [PATCH v2] " Jani Nikula
@ 2017-10-02 11:04     ` David Bremner
  0 siblings, 0 replies; 7+ messages in thread
From: David Bremner @ 2017-10-02 11:04 UTC (permalink / raw)
  To: Jani Nikula, Jani Nikula, notmuch

Jani Nikula <jani@nikula.org> writes:

> Something I used for 'git bisect run', but we should really add this
> as part of our process.

pushed.

d

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2017-10-02 11:04 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-09-10 11:56 [PATCH 1/2] build: fix out-of-tree builds, again Jani Nikula
2017-09-10 11:56 ` [PATCH 2/2] devel: add script to test out-of-tree builds Jani Nikula
2017-09-11 16:05   ` Tomi Ollila
2017-09-11 17:18     ` Jani Nikula
2017-09-11 17:17   ` [PATCH v2] " Jani Nikula
2017-10-02 11:04     ` David Bremner
2017-09-13 12:07 ` [PATCH 1/2] build: fix out-of-tree builds, again David Bremner

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).